ad_page_contract {
  @datasource photo_list multirow
} -properties {
  photo_list:multirow 
}

set paths "select title,description,viewfilepath_thumb,viewfilepath from slideshowgallery"

set width  [parameter::get -parameter GalleryWidth]
set height [parameter::get -parameter GalleryHeight]
set showArrows [parameter::get -parameter showArrows]
set delay [parameter::get -parameter delay]
set timed [parameter::get -parameter timed]
set showCarousel [parameter::get -parameter showCarousel]
set embedLinks [parameter::get -parameter embedLinks]
set showInfopane [parameter::get -parameter showInfopane]
set textShowCarousel [parameter::get -parameter textShowCarousel]

db_multirow photo_list users_query $paths

